{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}


{% block content %}
    <style>
        #btn-back {
            float: left;position: relative;top: 20px
        }
    </style>
    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->

    <form class="from-horizontal" method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <section>
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h3 style="margin-left: 1%; float: left;" class="box-title">
                {% if statusobj in 'orders' %}
               {% if request.user|has_group:"WHS" %}
                    Assign Warehouse
                {% else %}
                Pending For Dispatch
                {% endif %}
                {% elif statusobj in 'dispatched' %}
                    Dispatched
                {% else %}
                    Orders
                {% endif %}
            </h3>
            <button style="background-color: black; margin-top:10px; float: right" type="submit" name="export" class="export">Export</button>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info">

                            <div style="margin-top: 10px" class="box-tools">
                                <div class="box-header with-border">
                                    <div class="box-tools pull-right">
                                        <!--<button type="button" class="btn btn-box-tool" data-widget="collapse">-->
                                            <!--<i class="fa fa-minus"></i>-->
                                        <!--</button>-->
                                        <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                            <!--<i class="fa fa-times"></i>-->
                                        <!--</button>-->
                                    </div>
                                    <div class="box-body">
                                        <div class="table-responsive">
                                            {% if orderhead %}
                                                <table class="table no-margin">
                                                    <thead>
                                                        <tr>
                                                            <th>Order No</th>
                                                            <th>DMS No</th>
                                                            <th>Order Date</th>
                                                            <th>Dispatch Date</th>
                                                            <th>Invoice Value</th>
                                                            <th>Status</th>
                                                            <th>Warehouse </th>
                                                            {% if request.user|has_group:"WHS" %}
                                                            <th>Warehouse User</th>
                                                            {% endif %}
                                                            <th>SR</th>
                                                            <th>Dealer</th>

                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        {% for obj in orderhead %}
                                                            <tr>
                                                                <td>
                                                                    <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                                                        {{obj.order_number}}
                                                                    </a>
                                                                </td>
                                                                {% if obj.DMS_order_number %}
                                                                 <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.DMS_order_number}}</a></td>
                                                                    {% else%}
                                                                    <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                                                                    {% endif %}
                                                                <td>{{obj.order_date|date}}</td>
                                                                <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                                                                <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                                <td><span class="label label-info {{obj.status}}">{{obj.status}}</span></td>
                                                                <!--<td><span class="label label-info {{obj.status}}">AssignWarehouse</span></td>-->
                                                                <td>{{obj.warehouse_code|default:"NA"}}</td>
                                                                {% if request.user|has_group:"WHS" %}
                                                                <td>{{obj.warehouse_manager.first_name|default:"NA"}}</td>
                                                                {% endif %}
                                                                <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                                <td>
                                                                    <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                        {{obj.dealer.user_code}}.{{obj.company}} </a>
                                                                </td>

                                                            </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            {% else %}
                                                <span>Data Not Found!!!</span>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>

{% endblock %}